@Sezamiti

Как развернуть проект с Laravel 5.5 и PHP ниже 8.0?

Хочу развернуть очень древний проект на laravel 5.5: Но даже не могу установить композер.
При composer install --ignore-platform-reqs. Пишет:
PHP Fatal error: During inheritance of ArrayAccess: Uncaught ErrorException: Return type of Illuminate\Support\Collection::offsetExists($key) should either be compatible with ArrayAccess::offsetExists(mixed $offset): bool, or the #
[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in F:\Lesson\docs\vendor\laravel\framework\src\Illuminate\Support\Collection.php:1693
Stack trace:

Пытался комбинировать, но погуглив прочитал что ошибка связана с тем что у меня версия 8.1, а для 5 версии Laravel необходимо не старше 8.0. Подскажите "Как это сделать?". Заколебался уже)
63d8fcc77205a979652952.png
Буду рад, любому совету.
  • Вопрос задан
  • 359 просмотров
Пригласить эксперта
Ответы на вопрос 1
@PiloTeZ
...
Посмотреть требования Laravel 5 и откатить до максимальной поддерживаемой версии PHP. Судя по вашим словам, до 8.0.
А как установить PHP нужной версии и удалить старый, это уже вопрос для гугла
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы